<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<if args="visible()">
    <text args="address().prefix"/> <text args="address().firstname"/> <text args="address().middlename"/>
    <text args="address().lastname"/> <text args="address().suffix"/><br/>
    <text args="_.values(address().street).join(', ')"/><br/>
    <text args="getCityLabel(address().countryId, address().city) "/>, <span text="address().region"></span> <text args="address().postcode"/><br/>
    <text args="getCountryName(address().countryId)"/><br/>
    <a if="address().telephone" attr="'href': 'tel:' + address().telephone" text="address().telephone"></a><br/>

    <each args="data: address().customAttributes, as: 'element'">
        <if args="typeof element === 'object'">
            <if args="element.label">
                <text args="element.label"/>
            </if>
            <ifnot args="element.label">
                <if args="element.value">
                    <text args="element.value"/>
                </if>
            </ifnot>
        </if>
        <if args="typeof element === 'string'">
            <text args="element"/>
        </if><br/>
    </each>
</if>
